import { jsx } from "react/jsx-runtime";
import { ArrowUpRight as ArrowUpRight$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ArrowUpRight = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ArrowUpRight", ...props, children: /* @__PURE__ */ jsx(ArrowUpRight$1, { weight: variant }) });
  }
);
ArrowUpRight.displayName = "ArrowUpRight";
Object.assign(ArrowUpRight, { isGdsIcon: true });
export {
  ArrowUpRight
};
